CREATE TABLE IF NOT EXISTS `#__gadecisions_motions` (
`id` int UNSIGNED NOT NULL AUTO_INCREMENT,
`ordering` INT  NOT NULL DEFAULT 0,
`state` TINYINT  NOT NULL DEFAULT 0,
`checked_out` INT  NOT NULL DEFAULT 0,
`checked_out_time` DATETIME NULL,
`created_by` INT  NOT NULL DEFAULT 0,
`created_date` DATETIME NULL,
`modified_by` INT  NOT NULL DEFAULT 0,
`modified_date` DATETIME NULL,
`title` VARCHAR(255) NOT NULL DEFAULT '',
`motion` TEXT NULL ,
`motion_date` DATETIME NULL,
`cat_id` INT  NOT NULL DEFAULT 0,
`mov_id` INT  NOT NULL DEFAULT 0,
`reqsec` TINYINT NOT NULL DEFAULT 0,
`sec_id` INT  NOT NULL DEFAULT 0,
`group_id` INT  NOT NULL DEFAULT 0,
`expiry_date` DATETIME NULL,
`votes_for` INT  NOT NULL DEFAULT 0,
`votes_against` INT  NOT NULL DEFAULT 0,
`decider` INT  NOT NULL DEFAULT 0,
`field_id` INT  NOT NULL DEFAULT 0,
`comment` TEXT NULL ,
PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;


INSERT INTO `#__content_types` (`type_title`, `type_alias`, `table`, `rules`, `field_mappings`, `content_history_options`)
SELECT * FROM ( SELECT 'Motion','com_gadecisions.motion','{"special":{"dbtable":"#__gadecisions_motions","key":"id","type":"MotionTable","prefix":"GlennArkell\\\\Component\\\\Gadecisions\\\\Administrator\\\\Table\\\\"}}', CASE
                                WHEN 'rules' is null THEN ''
                                ELSE ''
                                END as rules, CASE
                                WHEN 'field_mappings' is null THEN ''
                                ELSE ''
                                END as field_mappings, '{"formFile":"administrator\/components\/com_gadecisions\/forms\/motion.xml", "hideFields":["checked_out","checked_out_time","params","language" ,"comment"], "ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time"], "convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"cat_id","targetTable":"#__categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"group_id","targetTable":"#__usergroups","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"created_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"#__viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"#__users","targetColumn":"id","displayColumn":"name"}]}') AS tmp
WHERE NOT EXISTS (
	SELECT type_alias FROM `#__content_types` WHERE (`type_alias` = 'com_gadecisions.motion')
) LIMIT 1;

CREATE TABLE IF NOT EXISTS `#__gadecisions_voters` (
`id` int UNSIGNED NOT NULL AUTO_INCREMENT,
`ordering` INT NOT NULL  DEFAULT 0,
`state` TINYINT NOT NULL  DEFAULT 1,
`checked_out` INT NOT NULL  DEFAULT 0,
`checked_out_time` DATETIME NULL ,
`created_by` INT NOT NULL  DEFAULT 0,
`modified_by` INT NOT NULL  DEFAULT 0,
`created_date` DATETIME NULL ,
`modified_date` DATETIME NULL ,
`user_id` INT  NOT NULL DEFAULT 0 ,
`motion_id` INT  NOT NULL DEFAULT 0 ,
`decider` INT  NOT NULL DEFAULT 0 ,
`comment` TEXT NULL ,
PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `#__gadecisions_cfvotes` (
`id` int UNSIGNED NOT NULL AUTO_INCREMENT,
`ordering` INT NOT NULL  DEFAULT 0,
`state` TINYINT NOT NULL  DEFAULT 1,
`checked_out` INT NOT NULL  DEFAULT 0,
`checked_out_time` DATETIME NULL ,
`created_by` INT NOT NULL  DEFAULT 0,
`modified_by` INT NOT NULL  DEFAULT 0,
`created_date` DATETIME NULL ,
`modified_date` DATETIME NULL ,
`motion_id` INT  NOT NULL DEFAULT 0 ,
`field_id` INT  NOT NULL DEFAULT 0 ,
`vote` VARCHAR(255) NULL,
`comment` TEXT NULL ,
PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 DEFAULT COLLATE=utf8mb4_unicode_ci;

